Create a workspace
curl --request POST \
--url https://{region}.affinda.com/v3/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization": "mEFayXdO",
"name": "<string>",
"visibility": "organization",
"rejectInvalidDocuments": true,
"rejectDuplicates": true,
"documentTypes": [
"mEFayXdO"
],
"whitelistIngestAddresses": [
"*@eyefind.info"
],
"documentSplitter": "NqIvMvZl"
}
'import requests
url = "https://{region}.affinda.com/v3/workspaces"
payload = {
"organization": "mEFayXdO",
"name": "<string>",
"visibility": "organization",
"rejectInvalidDocuments": True,
"rejectDuplicates": True,
"documentTypes": ["mEFayXdO"],
"whitelistIngestAddresses": ["*@eyefind.info"],
"documentSplitter": "NqIvMvZl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organization: 'mEFayXdO',
name: '<string>',
visibility: 'organization',
rejectInvalidDocuments: true,
rejectDuplicates: true,
documentTypes: ['mEFayXdO'],
whitelistIngestAddresses: ['*@eyefind.info'],
documentSplitter: 'NqIvMvZl'
})
};
fetch('https://{region}.affinda.com/v3/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"identifier": "mEFayXdO",
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"mode": "light",
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
},
"name": "<string>",
"visibility": "organization",
"collections": [
{
"identifier": "mEFayXdO",
"name": "<string>",
"extractor": {
"identifier": "resume",
"name": "<string>",
"namePlural": "<string>",
"validatable": true,
"baseExtractor": {
"identifier": "resume",
"name": "<string>",
"namePlural": "<string>",
"validatable": true,
"isCustom": true,
"createdDt": "2023-11-07T05:31:56Z"
},
"category": "Recruitment",
"createdDt": "2023-11-07T05:31:56Z"
},
"unvalidatedDocsCount": 1,
"confirmedDocsCount": 1
}
],
"documentTypes": [
"mEFayXdO"
],
"rejectInvalidDocuments": true,
"rejectDuplicates": true,
"members": [
{
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
}
],
"unvalidatedDocsCount": 1,
"confirmedDocsCount": 1,
"ingestEmail": "<string>",
"whitelistIngestAddresses": [
"*@eyefind.info"
],
"documentSplitter": {
"identifier": "NqIvMvZl",
"name": "<string>"
}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Workspaces
Create a workspace
Create a workspace
POST
/
v3
/
workspaces
Create a workspace
curl --request POST \
--url https://{region}.affinda.com/v3/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization": "mEFayXdO",
"name": "<string>",
"visibility": "organization",
"rejectInvalidDocuments": true,
"rejectDuplicates": true,
"documentTypes": [
"mEFayXdO"
],
"whitelistIngestAddresses": [
"*@eyefind.info"
],
"documentSplitter": "NqIvMvZl"
}
'import requests
url = "https://{region}.affinda.com/v3/workspaces"
payload = {
"organization": "mEFayXdO",
"name": "<string>",
"visibility": "organization",
"rejectInvalidDocuments": True,
"rejectDuplicates": True,
"documentTypes": ["mEFayXdO"],
"whitelistIngestAddresses": ["*@eyefind.info"],
"documentSplitter": "NqIvMvZl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organization: 'mEFayXdO',
name: '<string>',
visibility: 'organization',
rejectInvalidDocuments: true,
rejectDuplicates: true,
documentTypes: ['mEFayXdO'],
whitelistIngestAddresses: ['*@eyefind.info'],
documentSplitter: 'NqIvMvZl'
})
};
fetch('https://{region}.affinda.com/v3/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"identifier": "mEFayXdO",
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"mode": "light",
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
},
"name": "<string>",
"visibility": "organization",
"collections": [
{
"identifier": "mEFayXdO",
"name": "<string>",
"extractor": {
"identifier": "resume",
"name": "<string>",
"namePlural": "<string>",
"validatable": true,
"baseExtractor": {
"identifier": "resume",
"name": "<string>",
"namePlural": "<string>",
"validatable": true,
"isCustom": true,
"createdDt": "2023-11-07T05:31:56Z"
},
"category": "Recruitment",
"createdDt": "2023-11-07T05:31:56Z"
},
"unvalidatedDocsCount": 1,
"confirmedDocsCount": 1
}
],
"documentTypes": [
"mEFayXdO"
],
"rejectInvalidDocuments": true,
"rejectDuplicates": true,
"members": [
{
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
}
],
"unvalidatedDocsCount": 1,
"confirmedDocsCount": 1,
"ingestEmail": "<string>",
"whitelistIngestAddresses": [
"*@eyefind.info"
],
"documentSplitter": {
"identifier": "NqIvMvZl",
"name": "<string>"
}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Body
application/json
Workspace to create
Response
Successfully created a workspace.

